/*
	XLMOPTI.H
	This header file will include <optimem.h> if SUB_OPTIMEM is not defined
	If this switch is defined, a poor substitute for OPTIMEM will be included
*/

#ifdef SUB_OPTIMEM
// make substitutes
typedef void NEAR *OMEM_POOL;
// prototypes
OMEM_POOL PASCAL MemPoolInit(BOOL bShared);
BOOL PASCAL MemPoolFree(OMEM_POOL);
DWORD PASCAL MemPoolCount(OMEM_POOL);
LPVOID PASCAL MemAllocPtr(OMEM_POOL pool, WORD wSize,
	BOOL bZeroInit);
LPVOID PASCAL MemReAllocPtr(LPVOID lpMem, WORD wSize,
	BOOL bZeroInit);
BOOL PASCAL MemFreePtr(LPVOID lpPtr);
#else
// do the real thing
#include <optimem.h>
#endif
